
GLOBAL.setmetatable(env,{
__index = function (t,k)
return GLOBAL.rawget(GLOBAL,k)
end,
})

local pood_karas =
{
    "pond",            
    "pond_mos",      
    "pond_cave",         

}

for k, v in pairs(pood_karas) do
    AddPrefabPostInit(v,function(inst)
	
	local prefabs =
{
	"marsh_plant",
	"fish",
	"frog",
	"mosquito",
	"collapse_small",
	"explode_small"
}

local function ShouldAcceptItem(inst, item)

       if item.prefab == "coconade" and item.components.burnable and item.components.burnable:IsBurning() then
          return true
       end
	   if item.prefab == "obsidiancoconade" and item.components.burnable and item.components.burnable:IsBurning() then
          return true
       end

       return false
     end

local function OnGetItemFromPlayer(inst, giver, item)
if item.prefab == "coconade" and item.components.burnable and item.components.burnable:IsBurning() then
	local pos = inst:GetPosition()
	SpawnPrefab("collapse_small").Transform:SetPosition(pos.x, pos.y, pos.z)
    SpawnPrefab("explode_small").Transform:SetPosition(pos.x, pos.y, pos.z)
	inst.SoundEmitter:PlaySound("dontstarve/creatures/eyeballturret/shotexplo")
	GetClock():DoLightningLighting()
	GetPlayer().components.playercontroller:ShakeCamera(inst, "FULL", 0.7, 0.02, .5, 40)
	
	for k = 1,10 do
	    if inst.prefab == "pond_cave" then
           local bullet = SpawnPrefab("eel")
           bullet.Transform:SetPosition(pos.x, pos.y, pos.z)
           bullet.components.inventoryitem.canbepickedup = false
           bullet.Physics:SetMotorVelOverride(0,20,0)
           giver.components.sanity:DoDelta(10)
		   inst:DoTaskInTime(1, function() bullet:Remove() end )
		else
		   local bullet = SpawnPrefab("fish")
           bullet.Transform:SetPosition(pos.x, pos.y, pos.z)
           bullet.components.inventoryitem.canbepickedup = false
           bullet.Physics:SetMotorVelOverride(0,20,0)
           giver.components.sanity:DoDelta(10)
		   inst:DoTaskInTime(1, function() bullet:Remove() end )
		end
    end

    inst:DoTaskInTime(1.5, function()
       inst:StartThread(function()
           for k = 1, 10 do
               local pt = inst:GetPosition()
			   if inst.prefab == "pond_cave" then
			   
               local rain = SpawnPrefab("eel")
               rain.Transform:SetPosition(pt.x+(math.random(10)-math.random(10)), 20, pt.z+(math.random(10)-math.random(10)))
               inst:DoTaskInTime(5, function()
                    local pt2 = rain:GetPosition()
                    SpawnPrefab("explode_small").Transform:SetPosition(pt2.x, 0, pt2.z)
               end)
			   
			   else
			   
			   local rain = SpawnPrefab("fish")
               rain.Transform:SetPosition(pt.x+(math.random(10)-math.random(10)), 20, pt.z+(math.random(10)-math.random(10)))
               inst:DoTaskInTime(5, function()
                    local pt2 = rain:GetPosition()
                    SpawnPrefab("explode_small").Transform:SetPosition(pt2.x, 0, pt2.z)
               end)
			   
			   end
               Sleep(0.2)
           end
       end)
    end)
elseif item.prefab == "obsidiancoconade" and item.components.burnable and item.components.burnable:IsBurning() then

local pos = inst:GetPosition()
	SpawnPrefab("collapse_small").Transform:SetPosition(pos.x, pos.y, pos.z)
    SpawnPrefab("explode_small").Transform:SetPosition(pos.x, pos.y, pos.z)
	inst.SoundEmitter:PlaySound("dontstarve/creatures/eyeballturret/shotexplo")
	inst.SoundEmitter:PlaySound("dontstarve_DLC002/common/coconade_obsidian_explode")
	GetClock():DoLightningLighting()
	GetPlayer().components.playercontroller:ShakeCamera(inst, "FULL", 0.7, 0.02, .5, 40)
	
	for k = 1,20 do
        if inst.prefab == "pond_cave" then
           local bullet = SpawnPrefab("eel")
           bullet.Transform:SetPosition(pos.x, pos.y, pos.z)
           bullet.components.inventoryitem.canbepickedup = false
           bullet.Physics:SetMotorVelOverride(0,20,0)
           giver.components.sanity:DoDelta(10)
		   inst:DoTaskInTime(1, function() bullet:Remove() end )
		else
		   local bullet = SpawnPrefab("fish")
           bullet.Transform:SetPosition(pos.x, pos.y, pos.z)
           bullet.components.inventoryitem.canbepickedup = false
           bullet.Physics:SetMotorVelOverride(0,20,0)
           giver.components.sanity:DoDelta(10)
		   inst:DoTaskInTime(1, function() bullet:Remove() end )
		end
    end

    inst:DoTaskInTime(1.5, function()
       inst:StartThread(function()
           for k = 1, 20 do
               local pt = inst:GetPosition()
			   if inst.prefab == "pond_cave" then
			   
                  local rain = SpawnPrefab("eel")
                  rain.Transform:SetPosition(pt.x+(math.random(10)-math.random(10)), 20, pt.z+(math.random(10)-math.random(10)))
                  inst:DoTaskInTime(5, function()
                    local pt2 = rain:GetPosition()
                    SpawnPrefab("explode_small").Transform:SetPosition(pt2.x, 0, pt2.z)
                  end)
			   
			   else
			   
			   local rain = SpawnPrefab("fish")
               rain.Transform:SetPosition(pt.x+(math.random(10)-math.random(10)), 20, pt.z+(math.random(10)-math.random(10)))
               inst:DoTaskInTime(5, function()
                    local pt2 = rain:GetPosition()
                    SpawnPrefab("explode_small").Transform:SetPosition(pt2.x, 0, pt2.z)
               end)
			   
			end
               Sleep(0.2)
           end
       end)
    end)
	
end
end
	  
	inst:AddComponent("trader")
    inst.components.trader.onaccept = OnGetItemFromPlayer
    inst.components.trader:SetAcceptTest(ShouldAcceptItem) 
	  
	  

    end)
 end	 

local coconade_karas =
{
    "coconade",            
    "obsidiancoconade",          

}

for k, v in pairs(coconade_karas) do
    AddPrefabPostInit(v,function(inst)
	inst:AddComponent("tradable")
    end)
end




